#
# spec file for package libkface
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkface
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: opencv-devel
BuildRequires: opencv 
Summary:        wrapper around LibFace to perform face recognition and detection over pictures
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://www.kde.org
Version:        15.08.3
Release:        %mkrel 1
Source0:        %{name}-%{version}.tar.xz

%description
Libkface is a Qt/C++ wrapper around LibFace library to perform face recognition and detection over pictures.

%package devel
Summary:  Development files for %{name}
Requires: %{name}
Requires: kdelibs-devel 

%description devel
%{summary}.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4 
%make

%install
rm -fr %buildroot

%makeinstall_std -C build

%post
/sbin/ldconfig

%clean
rm -fr %buildroot

%files
%{_kde_libdir}/libkface.so.*
%{_kde_appsdir}/libkface/haarcascades/*.xml
%{_kde_appsdir}/libkface/alignment-congealing/face-funnel.data
%{_kde_appsdir}/libkface/database/dbconfig.xml
   
%files devel
%{_kde_includedir}/libkface/*.h
%{_kde_libdir}/libkface.so
%{_kde_libdir}/pkgconfig/libkface.pc
%{_kde_libdir}/cmake

%changelog
* Sun Nov 13 2016 adrianomorselli <adriano morselli> 15.08.3-1uplos2016
- update

